sonata_user:
  security_acl: false
  manager_type: orm # can be orm or mongodb
  class:
    user: App\Entity\User
    group: App\Entity\Usergroup
  profile:
    default_avatar: 'bundles/sonatauser/default_avatar.png' # Default avatar displayed if the user doesn't have one
  admin:                  # Admin Classes
    user:
      class:          App\Application\Sonata\UserBundle\Admin\UserAdmin
      controller:     App\Controller\CRUD\CRUDController
      translation:    SonataUserBundle
    group:
        class:          App\Application\Sonata\UserBundle\Admin\GroupAdmin
        controller:     App\Controller\CRUD\GroupCRUDController
        translation:    SonataUserBundle
  impersonating:
    route: index

sonata_block:
    default_contexts: [sonata_page_bundle]
    blocks:
        # sonata.block.service.text:
        #     contexts: [admin]
        # sonata.admin.block.stats:
        #     contexts: [admin]
        sonata.admin.block.admin_list:
            contexts: [admin]
        # sonata.admin.block.search_result:
        #     contexts: [admin]
        # sonata.formatter.block.formatter:
        #     contexts: [admin]
        admin.block.dashboard:
            contexts: [admin]
        admin.block.charts:
            contexts: [admin]

sonata_formatter:
    default_formatter: text
    formatters:
        text:
            service: sonata.formatter.text.text
            extensions:
                - sonata.formatter.twig.control_flow
                - sonata.formatter.twig.gist
    ckeditor:
        templates:
            browser: '@SonataFormatter/Ckeditor/browser.html.twig'
            upload: '@SonataFormatter/Ckeditor/upload.html.twig'
